package com.lightinit.hsdatashow.entity;

import java.math.BigDecimal;
import java.util.Date;

public class PublicSecurity {
    private Long id;

    private Integer dataYear;

    private Integer criminalCase;

    private Integer crimesNumber;

    private BigDecimal accidentDeath;

    private BigDecimal accident;

    private String photo;

    private String icon;

    private String latitude;

    private String longitude;

    private Date createdAt;

    private Long createdBy;

    private Date deletedAt;

    private Long deletedBy;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Integer getDataYear() {
        return dataYear;
    }

    public void setDataYear(Integer dataYear) {
        this.dataYear = dataYear;
    }

    public Integer getCriminalCase() {
        return criminalCase;
    }

    public void setCriminalCase(Integer criminalCase) {
        this.criminalCase = criminalCase;
    }

    public Integer getCrimesNumber() {
        return crimesNumber;
    }

    public void setCrimesNumber(Integer crimesNumber) {
        this.crimesNumber = crimesNumber;
    }

    public BigDecimal getAccidentDeath() {
        return accidentDeath;
    }

    public void setAccidentDeath(BigDecimal accidentDeath) {
        this.accidentDeath = accidentDeath;
    }

    public BigDecimal getAccident() {
        return accident;
    }

    public void setAccident(BigDecimal accident) {
        this.accident = accident;
    }

    public String getPhoto() {
        return photo;
    }

    public void setPhoto(String photo) {
        this.photo = photo == null ? null : photo.trim();
    }

    public String getIcon() {
        return icon;
    }

    public void setIcon(String icon) {
        this.icon = icon == null ? null : icon.trim();
    }

    public String getLatitude() {
        return latitude;
    }

    public void setLatitude(String latitude) {
        this.latitude = latitude == null ? null : latitude.trim();
    }

    public String getLongitude() {
        return longitude;
    }

    public void setLongitude(String longitude) {
        this.longitude = longitude == null ? null : longitude.trim();
    }

    public Date getCreatedAt() {
        return createdAt;
    }

    public void setCreatedAt(Date createdAt) {
        this.createdAt = createdAt;
    }

    public Long getCreatedBy() {
        return createdBy;
    }

    public void setCreatedBy(Long createdBy) {
        this.createdBy = createdBy;
    }

    public Date getDeletedAt() {
        return deletedAt;
    }

    public void setDeletedAt(Date deletedAt) {
        this.deletedAt = deletedAt;
    }

    public Long getDeletedBy() {
        return deletedBy;
    }

    public void setDeletedBy(Long deletedBy) {
        this.deletedBy = deletedBy;
    }
}